﻿@model Tuple<List<ARGNSModelView>, PDMSAPCombo>
@{
    bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.StyleList.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.StyleList.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Delete = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.StyleList.ToDescriptionString() && c.InternalKey == Enums.Actions.Delete.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.StyleList.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}
<div class="panel panel-default">

    <div class="panel-heading clearfix">
        <h3 class="panel-title">@PDM.ProductList</h3>
    </div>
    <div class="panel-body">
        <div class="table-responsive">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>@PDM.Code</th>
                        <th>@PDM.Desc</th>
                        <th>@PDM.Season</th>
                        <th>@PDM.PG</th>
                        <th>@PDM.Brand</th>
                        <th>@PDM.Coll</th>
                        <th>@PDM.SubColl</th>
                        <th>&nbsp;</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (ARGNSModelView item in Model.Item1)
                    {
                        ARGNS.Model.Implementations.PDM.ComboList.ARGNSSeason seasonAux = Model.Item2.ListSeason.Where(c => c.Code == item.U_Season).FirstOrDefault();
                        ARGNS.Model.Implementations.PDM.ComboList.ARGNSModelGroup modelGroupAux = Model.Item2.ListModelGroup.Where(c => c.Code == item.U_ModGrp).FirstOrDefault();
                        ARGNS.Model.Implementations.PDM.ComboList.ARGNSBrand brandAux = Model.Item2.ListBrand.Where(c => c.Code == item.U_Brand).FirstOrDefault();
                        ARGNSCollection collectionAux = Model.Item2.ListCollection.Where(c => c.U_CollCode == item.U_CollCode).FirstOrDefault();
                        ARGNSSubCollection subCollectionAux = Model.Item2.ListSubCollection.Where(c => c.U_AmbCode == item.U_AmbCode).FirstOrDefault();

                        <tr>
                            <td>
                                @item.U_ModCode
                            </td>
                            <td>@item.U_ModDesc</td>
                            <td>@((item.U_Season != null && item.U_Season != "") ? (seasonAux != null ? seasonAux.Name : "") : "")</td>
                            <td>@((item.U_ModGrp != null && item.U_ModGrp != "") ? (modelGroupAux != null ? modelGroupAux.Name : "") : "")</td>
                            <td>@((item.U_Brand != null && item.U_Brand != "") ? (brandAux != null ? brandAux.Name : "") : "")</td>
                            <td>@((item.U_CollCode != null && item.U_CollCode != "") ? (collectionAux != null ? collectionAux.U_Desc : "") : "")</td>
                            <td>@((item.U_AmbCode != null && item.U_AmbCode != "") ? (subCollectionAux != null ? subCollectionAux.U_Desc : "") : "")</td>
                            <td>
                                @if (_Update)
                                {
                                    <a href='@Url.Action("ActionPDM", "PDM", new { @ActionPDM = "UpdateModel", @ModelCode = item.Code, @pU_ModCode = item.U_ModCode, @From = "List" })' class="btn btn-primary btn-xs">
                                        <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@PDM.Edit
                                    </a>
                                }
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>           
    </div>
</div>

